.errorinfo {
  position: absolute;
  top: 30%;
  margin-top: -100px;
  width: 100%;
}
.erroetext {
  font-size: 0.5rem;
  color: #fff;
  margin: auto;
  text-align: center;
}
.errtbcak {
  padding: 0.2rem;
}


.nuxt-progress {
  position: fixed;
  top: 0px;
  left: 0px;
  right: 0px;
  height: 2px;
  width: 0%;
  opacity: 1;
  transition: width 0.1s, opacity 0.4s;
  background-color: black;
  z-index: 999999;
}
.nuxt-progress.nuxt-progress-notransition {
  transition: none;
}
.nuxt-progress-failed {
  background-color: red;
}

* {
  box-sizing: border-box;
  color: #fff;
}
::-webkit-scrollbar {
  display: none;
}
:root {
  --swiper-theme-color: #f90 !important;
}
html.desktop {
  font-size: 37.5px;
}
html,
body {
  overflow: hidden;
  margin: 0 auto;
}
html {
  height: 100vh;
}
html {
  background-color: #171512;
}
html.mobile {
  background-color: #171512;
}
body,
#__nuxt,
#__layout {
  height: 100%;
}
#app {
  width: 100%;
  margin: 0 auto;
  overflow-x: hidden;
}
.transparent-bg-color {
  background: transparent !important;
}
.safe-top {
  padding-top: var(--safe-top);
}
.safe-bottom {
  padding-bottom: var(--safe-bottom);
}
.flex-container {
  height: 100%;
  display: flex;
  flex-direction: column;
  overflow: hidden;
}
.flex-container > .top {
  display: flex;
}
.flex-container > .content {
  flex: 1;
  width: 100%;
  display: flex;
  flex-direction: column;
  overflow-y: auto;
  position: relative;
  -webkit-overflow-scrolling: touch;
  touch-action: pan-y;
}
.flex-container > .bottom {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-direction: column;
}
.full-container {
  height: 100%;
  width: 100%;
}
.scroll-container {
  height: 100%;
  width: 100%;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-overflow-scrolling: touch;
  overscroll-behavior: contain;
  touch-action: pan-y;
}
.x-scroll-container {
  height: 100%;
  width: 100%;
  overflow-y: hidden;
  overflow-x: auto;
  -webkit-overflow-scrolling: touch;
  overscroll-behavior: contain;
  touch-action: pan-x;
}
.mt-10 {
  margin-top: 10px;
}
.btn {
  cursor: pointer;
}
/*  
.container {
    margin-bottom: calc(50px, constant(safe-area-inset-bottom));
    margin-bottom: calc(50px, env(safe-area-inset-bottom));
} */
/*设置IOS页面长按不可复制粘贴，但是IOS上出现input、textarea不能输入，因此将使用-webkit-user-select:auto;*/
* {
  -webkit-touch-callout: none;
  /*系统默认菜单被禁用*/
  -webkit-user-select: none;
  /*webkit浏览器*/
  /*早期浏览器*/
  -moz-user-select: none;
  /*火狐*/
  /*IE10*/
  user-select: none;
  -webkit-user-drag: none;
}
input,
textarea {
  -webkit-user-select: auto;
  /*webkit浏览器*/
  outline: none;
}
video {
  -o-object-fit: contain;
     object-fit: contain;
}
video[poster] {
  -o-object-fit: cover;
     object-fit: cover;
}
.two {
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
}
.more {
  font-size: 0.35rem;
  color: #9d9d9d;
  display: flex;
  align-items: center;
  flex-direction: column;
}
.title {
  display: block;
  font-weight: 700;
  font-size: 18px;
  color: #fff;
}
.subtitle {
  font-weight: 300;
  font-size: 42px;
  color: #526488;
  word-spacing: 5px;
  padding-bottom: 15px;
}
.links {
  padding-top: 15px;
}
.my-swipe .van-swipe-item {
  color: black;
  width: 100%;
  height: 100%;
  /* background-color: #39a9ed; */
}
.my-van-tab {
  margin-top: 1.6rem;
}
.comomAvater {
  width: 1.2rem;
  height: 1.2rem;
  align-self: center;
}
.shortBt {
  padding-bottom: 0.7rem;
}
.van-popover__content {
  color: #000;
}
.active-sort {
  color: #f90;
}
.van-popover--dark .van-popover__content {
  color: #fff;
}
.dropDown .van-dropdown-menu__title {
  color: #f90;
  font-size: 0.3rem;
}
.dropDown .van-dropdown-menu__bar {
  background: rgba(255, 255, 255, 0.1);
}
.dropDown .van-popup {
  background: #171512;
}
::-webkit-scrollbar {
  width: 5px;
  height: 8px;
  background-color: #333;
  /* or add it to the track */
}
/* Add a thumb */
::-webkit-scrollbar-thumb {
  border-radius: 2.5px;
  background: #666;
}
.van-sticky {
  left: auto !important;
  right: auto !important;
  width: 100%;
}
.my-index .toolbox .van-icon {
  color: #f90;
}
.my-index .toolbox .van-grid-item__text {
  color: #fff;
  font-size: 13px;
}
#nuxt-loading {
  left: auto !important;
  right: auto !important;
  width: 100%;
}
.van-tabs__line {
  background-color: #fff !important;
}
.van-tabbar-item--active {
  font-weight: 500;
}
.van-radio__label {
  width: 100%;
  height: 100%;
}
[class*='van-hairline']::after {
  border: medium none currentcolor !important;
  border: initial !important;
}
.viptabbox .van-tab {
  flex: none;
  margin-right: 0.4rem;
  font-size: 0.3rem;
}
.van-dialog {
  color: #000;
}
.van-dialog .van-button--default {
  color: #4a4a4a;
}
.van-dialog .van-dialog__confirm {
  color: #f90;
}
.van-overlay {
  right: 0;
  margin: 0 auto;
  background-color: rgba(0, 0, 0, 0.57);
  backdrop-filter: blur(8px);
}
.short-view {
  color: #fff;
}
.short-view .tabbar {
  background-color: #181e2b !important;
}
.short-view .flex-safe-bottom {
  background: #181e2b !important;
}
.short-view .fistDialog {
  color: black;
}
/* 可以设置不同的进入和离开动画 */
/* 设置持续时间和动画函数 */
.fade-enter-active,
.fade-leave-active {
  transition: opacity 3s;
}
/* .fade-leave-active, 2.1.8 版本以下 */
.fade-enter,
.fade-leave-to,
.fade-enter-from,
.fade-leave-to {
  opacity: 0;
}
.bounce-enter-active {
  animation: bounce-in 0.3s;
}
.bounce-leave-active {
  animation: bounce-in 0.3s reverse;
}
@keyframes bounce-in {
  0% {
    transform: scale(0);
  }
  50% {
    transform: scale(0.5);
  }
  100% {
    transform: scale(1);
  }
}
.slide-right-enter-active,
.slide-right-leave-active,
.slide-left-enter-active,
.slide-left-leave-active {
  position: absolute;
  width: 100%;
  will-change: transform;
  transition: all 0.3s ease-out;
}
.slide-right-enter {
  opacity: 0;
  transform: translate(-100%, 0);
}
.slide-right-leave-active {
  opacity: 0;
  transform: translate(0%, 0);
}
.slide-left-enter {
  opacity: 0;
  transform: translate(100%, 0);
}
.slide-left-leave-active {
  opacity: 0;
  transform: translate(100%, 0);
}
@keyframes bounce {
  0%,
  to {
    animation-timing-function: cubic-bezier(0.8, 0, 1, 1);
    transform: translateY(-25%);
  }
  50% {
    animation-timing-function: cubic-bezier(0, 0, 0.2, 1);
    transform: none;
  }
}
.animate-bounce {
  animation: bounce 1s infinite;
}
div#driver-highlighted-element-stage,
div#driver-page-overlay {
  background: transparent !important;
  outline: 5000px solid rgba(0, 0, 0, 0.75);
}
.page-enter-active {
  opacity: 1;
}
.page-leave-active {
  opacity: 0;
}
.my-title {
  background: f90;
  width: 5px;
  height: 16px;
  margin-right: 5px;
  border-radius: 10px;
}
.van-nav-bar__text {
  color: #fff;
}
.flex-safe-top {
  height: var(--safe-top);
  position: fixed;
  width: 100%;
  top: 0;
}
.flex-safe-top {
  height: var(--safe-bottom);
  position: fixed;
  width: 100%;
  top: 0;
}
.popConfrim .van-dialog__message {
  padding: 0px 24px 10px;
  white-space: normal;
}
.imgLoader {
  width: 80%;
  aspect-ratio: 1;
  border-radius: 50%;
  border: 8px solid #171512;
  border-right-color: #f90;
  animation: l2 1s infinite linear;
}
@keyframes l2 {
  to {
    transform: rotate(1turn);
  }
}
.van-tab {
  flex: none !important;
  margin: 0 10px;
}
.van-icon-close {
  cursor: pointer;
}

